%script: copy correct dll-files

  if(exist('./pco_uint32.m','file'))
    delete('./pco_uint32.m');   
  end 

  if(exist('./pco_uint32err.m','file'))
    delete('./pco_uint32err.m');   
  end 

  if verLessThan('matlab','8.0.0')
    copyfile('./ver_7/pco_uint32.m','./pco_uint32.m');
    copyfile('./ver_7/pco_uint32err.m','./pco_uint32err.m');
  else  
    copyfile('./ver_8/pco_uint32.m','./pco_uint32.m');
    copyfile('./ver_8/pco_uint32err.m','./pco_uint32err.m');
  end 


  if(exist('../runtime/include','dir'))
    copyfile('../runtime/include/*.h','./');
  end

  pco_camera_create_deffile();


  if(strcmp(computer('arch'),'win32'))
    error('This adaptor is not supported for 32-Bit Windows platforms');      

  elseif(strcmp(computer('arch'),'win64'))

    if(exist('./sc2_cam.dll','file'))
      delete('./sc2_cam.dll');   
    end 
    if(exist('../runtime/win_x64/bin/sc2_cam.dll','file'))
      copyfile('../runtime/win_x64/bin/sc2_cam.dll','./');
    end

    if(exist('./sc2_cl_me4.dll','file'))
      delete('./sc2_cl_me4.dll');   
    end 
    if(exist('../runtime/win_x64/bin/sc2_cl_me4.dll','file'))
      copyfile('../runtime/win_x64/bin/sc2_cl_me4.dll','./');
    end 

    if(exist('./sc2_cl_nat.dll','file'))
      delete('./sc2_cl_nat.dll');   
    end 
    if(exist('../runtime/win_x64/bin/sc2_cl_nat.dll','file'))
      copyfile('../runtime/win_x64/bin/sc2_cl_nat.dll','./');
    end 

    if(exist('./sc2_cl_mtx.dll','file'))
      delete('./sc2_cl_mtx.dll');   
    end 
    if(exist('../runtime/win_x64/bin/sc2_cl_mtx.dll','file'))
      copyfile('../runtime/win_x64/bin/sc2_cl_mtx.dll','./');
    end 

    if(exist('./sc2_clhs.dll','file'))
      delete('./sc2_clhs.dll');   
    end 
    if(exist('../runtime/win_x64/bin/sc2_clhs.dll','file'))
      copyfile('../runtime/win_x64/bin/sc2_clhs.dll','./');
    end 

    if(exist('./PCO_Recorder.dll','file'))
      delete('./PCO_Recorder.dll');   
    end 
    if(exist('../runtime/win_x64/bin/PCO_Recorder.dll','file'))
      copyfile('../runtime/win_x64/bin/PCO_Recorder.dll','./');
    end 

    if(exist('./PCO_File.dll','file'))
      delete('./PCO_File.dll');   
    end 
    if(exist('../runtime/win_x64/bin/PCO_File.dll','file'))
      copyfile('../runtime/win_x64/bin/PCO_File.dll','./');
    end
    %sc2_genicam.dll
    if(exist('./sc2_genicam.dll','file'))
      delete('./sc2_genicam.dll');   
    end 
    if(exist('../runtime/win_x64/bin/sc2_genicam.dll','file'))
      copyfile('../runtime/win_x64/bin/sc2_genicam.dll','./');
    end
    %sc2_gige.dll
    if(exist('./sc2_gige.dll','file'))
      delete('./sc2_gige.dll');   
    end 
    if(exist('../runtime/win_x64/bin/sc2_gige.dll','file'))
      copyfile('../runtime/win_x64/bin/sc2_gige.dll','./');
    end
    if(exist('../runtime/win_x64/bin/genicam','dir'))
      copyfile('../runtime/win_x64/bin/genicam','./genicam');
    end
  %all linux binaries
  elseif(strcmp(computer('arch'),'glnxa64'))
    delete('./lib*'); %also symlinks
    copyfile('../runtime/lnx_amd64/lib/lib*.so.*.*.*', './');
    % create symlinks
    libs = dir('./lib*.so.*.*.*');
    for l=1:numel(libs)
      lib_full = libs(l).name;
      folder = libs(l).folder;
      ss = strsplit(lib_full, '.');
      lib_major = [ss{1}, '.' ss{2} '.' ss{3}];
      lib_so = [ss{1}, '.', ss{2}];
      %                folder '/' 
      system(['ln -sf ' lib_full ' ' lib_major]);
      system(['ln -sf ' lib_major ' ' lib_so]);
    end
  else
    error('This platform is not supported');   
  end 
